> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List external accounts

> Fetches a list of external accounts for a business. External accounts represent all connected financial accounts, including bank accounts, credit cards, loans, etc.



## OpenAPI

````yaml get /v1/businesses/{businessId}/external-accounts
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/external-accounts:
    get:
      tags: []
      summary: List external accounts
      description: >-
        Fetches a list of external accounts for a business. External accounts
        represent all connected financial accounts, including bank accounts,
        credit cards, loans, etc.
      operationId: business.external-accounts.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch external accounts for.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiExternalAccount'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiExternalAccount:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the external account
        external_account_external_id:
          type: string
          description: >-
            Unique ID of the external account in an external system for linking
            and idempotency.
          example: 0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq
        external_account_source:
          $ref: '#/components/schemas/TransactionSource'
          description: Source of the external account.
        external_account_name:
          type: string
          description: Name of the external account
          example: My external bank account
        latest_balance_timestamp:
          $ref: '#/components/schemas/ApiBalanceTimestamp'
          description: The latest balance timestamp
        current_ledger_balance:
          type: integer
          format: int64
          description: Current ledger balance of the external account in cents
        uncategorized_transaction_sum:
          type: integer
          format: int64
          description: Sum of uncategorized transactions for this external account in cents
        mask:
          type: string
          nullable: true
          description: Last 4 digits of the external account number
          example: '4321'
        institution:
          $ref: '#/components/schemas/ApiExternalAccountInstitution'
          description: The institution that the external account is associated with.
        notifications:
          type: array
          items:
            $ref: '#/components/schemas/ApiExternalAccountNotification'
          description: List of notifications for this external account
        connection_needs_repair_as_of:
          type: string
          format: date-time
          nullable: true
          description: Timestamp indicating when the connection started needing repair
        reconnect_with_new_credentials:
          type: boolean
          description: Whether the connection requires reconnection with new credentials
        requires_user_confirmation_as_of:
          type: string
          format: date-time
          nullable: true
          description: Timestamp indicating when user confirmation was required
        connection_id:
          type: string
          format: uuid
          nullable: true
          description: Unique identifier for the connection
        connection_external_id:
          type: string
          nullable: true
          description: External identifier for the connection
        user_created:
          type: boolean
          description: Whether this external account was created by a user
        is_syncing:
          type: boolean
          description: Whether the external account is currently syncing
        ledger_account_id:
          type: string
          format: uuid
          nullable: true
          description: >-
            The ID of the [ledger
            account](https://docs.layerfi.com/api-reference/ledger/chart#ledger-account-object)
            associated with the external account
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the external account was archived
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    TransactionSource:
      type: string
      enum:
        - UNIT
        - PLAID
        - API
        - STRIPE
        - CUSTOM
    ApiBalanceTimestamp:
      type: object
      properties:
        external_account_external_id:
          type: string
          description: >-
            Unique ID of the external account in an external system for linking
            and idempotency.
          example: 0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq
        external_account_source:
          $ref: '#/components/schemas/TransactionSource'
          description: Source of the external account.
        balance:
          type: integer
          format: int64
          description: The current balance of the bank account, in cents
        at:
          type: string
          format: date-time
          description: The time the balance was recorded
        created_at:
          type: string
          format: date-time
          description: When the balance timestamp was created
    ApiExternalAccountInstitution:
      type: object
      properties:
        name:
          type: string
          description: The name of the institution for the external account
          example: Bank of Generica
        logo:
          type: string
          nullable: true
          description: The logo of the institution for the external account in base 64
          example: iVBORw0KGgoAAAANSUhEUgAAAJgAAACYCAMAAAAvHNATAAAAYFBMVEUAAAAAC1ETC
    ApiExternalAccountNotification:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ApiExternalAccountNotificationType'
          description: Type of notification
        scope:
          $ref: '#/components/schemas/ApiExternalAccountNotificationScope'
          description: Scope of the notification
      required:
        - type
      description: Notification for external account requiring user attention
    ApiExternalAccountNotificationType:
      type: string
      enum:
        - OPENING_BALANCE_MISSING
        - CONFIRM_RELEVANT
        - CONFIRM_UNIQUE
      description: Type of notification for external account
    ApiExternalAccountNotificationScope:
      type: string
      enum:
        - USER
      description: Scope of the external account notification
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````